layoutLakesideBoathouseDoor.mExits =
{
	[objectExitDoorEntrance] = 
	{
		target = layoutBoathouse,
		arrowX = 343,
		arrowY = 412,
		arrowAngle = 0.08 * math.pi,
		labelX = 365,
		labelY = 313,
		labelAnchorpoint = ANCHOR_CENTER_RIGHT,
	},
}

layoutLakesideBoathouseDoor.mPOIs = 
{
	[objectPoiDoorLock] = 
	{
		target = layoutBoathouseLock,
	},
}

layoutLakesideBoathouseDoor.mHOs = 
{
	[objectHoWood01] = 
	{
		siblings = {objectHoWood01Lit, objectHoWood01Pocket}
	},
	[objectHoWood02] = 
	{
		siblings = {objectHoWood02Lit}
	},
	[objectHoWood03] = 
	{
		siblings = {objectHoWood03Lit, objectHoWood03Pocket}
	},	
}

layoutLakesideBoathouseDoor.mIOs =
{
}
layoutLakesideBoathouseDoor.mEffectMosquitos    = nil
-- ----------------------------------------------------------------------------
function layoutLakesideBoathouseDoor:onConstruct()
	
	Layout.onConstruct(self)
	
	self.mEffectMosquitos = self:newChildParticle( { name = "PARTICLE_BOATHOUSEDOOR_LAMP_MOSQUITOS", x=125, y=110, library="PARTICLE_LAMP_MOSQUITOS", section="particles", play=true, removeWhenFinished=false } )
	
end
-- ----------------------------------------------------------------------------
function layoutLakesideBoathouseDoor:onInitialize()

	Layout.onInitialize(self)
	
	objectBoathouseDoorOpen:ss(kInactive)
	objectExitDoorEntrance:ss(kInactive)

end